> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v3 Questions Search

> Search Questions



## OpenAPI

````yaml post /v3/questions/search
openapi: 3.0.0
info:
  contact: {}
  title: ''
  version: 0.0.1
servers:
  - url: //api.globalwebindex.com
security: []
paths:
  /v3/questions/search:
    post:
      tags:
        - Questions
      summary: v3 Questions Search
      description: Search Questions
      operationId: v3QuestionsSearch
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/github_com_GlobalWebIndex_platform2-service-layer_pkg_api_http_http_dtos_questions.SearchRequest
        description: Search request
        required: true
      responses:
        '200':
          description: Question Search results
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.QuestionsFilterResponse
        '400':
          description: Invalid request body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pkg_api_http_controllers.ErrorResponse'
        '401':
          description: Auth bearer doesn't have permissions to access this endpoint.
        '500':
          description: Server is not able to give correct response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pkg_api_http_controllers.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    github_com_GlobalWebIndex_platform2-service-layer_pkg_api_http_http_dtos_questions.SearchRequest:
      properties:
        filters:
          $ref: >-
            #/components/schemas/github_com_GlobalWebIndex_platform2-service-layer_pkg_api_http_http_dtos_questions.SearchFilters
        from_autosuggestion:
          type: boolean
        results_limit:
          type: integer
        search_term:
          type: string
      type: object
    github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.QuestionsFilterResponse:
      properties:
        questions:
          description: Questions matching the filtering criteria.
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.Question
          type: array
      type: object
    pkg_api_http_controllers.ErrorResponse:
      properties:
        code:
          type: integer
        err:
          type: string
        type:
          type: string
      type: object
    github_com_GlobalWebIndex_platform2-service-layer_pkg_api_http_http_dtos_questions.SearchFilters:
      properties:
        dataset_codes:
          items:
            type: string
          type: array
        location_codes:
          items:
            type: string
          type: array
        wave_codes:
          items:
            type: string
          type: array
      type: object
    github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.Question:
      properties:
        categories:
          description: |-
            Categories where this question is present.
            Item is present only in some endpoints.
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.Category
          type: array
        datapoints:
          description: >-
            Question's datapoints.

            Item is present only if requested in the request (include datapoints
            = true).
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.Datapoint
          type: array
        description:
          description: Full question description.
          type: string
        knowledge_base:
          description: Link to knowledge base (https://help.globalwebindex.com/en).
          type: string
        message:
          description: >-
            Message to display to client about this question, where was asked,
            etc. (Q2 2020 Only. This question is asked to all respondents.).
          type: string
        name:
          description: Question name (Time Spent Online on Mobile).
          type: string
        namespace_code:
          description: Namespace code (core, gwi-ext).
          type: string
        notice:
          description: Question notice (To work out average daily time spent, please).
          type: string
        order:
          description: Order of question within the category folder if applicable (2.75).
          type: number
        question:
          description: Question code with namespace prefix (gwi-ext.q4).
          type: string
        suffixes:
          description: |-
            Question's suffixes.
            Item is present only when question has suffixes.
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.Suffix
          type: array
        taxonomy_paths:
          description: >-
            List of paths from the root category down to the leaf category.

            Can be multiple paths when question is present in multiple
            categories.
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.TaxonomyPath
          type: array
        warning:
          description: Question warning (Time Spent Online on Mobile).
          type: string
      type: object
    github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.Category:
      properties:
        child_categories:
          description: Child Categories, used for include=children.
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.Category
          type: array
        child_questions:
          description: Children Questions, used for include=children.
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.Question
          type: array
        description:
          description: Category full description.
          type: string
        id:
          description: Labels ID of category (a.k.a. external_id).
          type: string
        lineage:
          description: >-
            Included items below.

            Lineage is route to category through taxonomy tree, starting from
            the root to the category itself.
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.Category
          type: array
        name:
          description: Human readable name of a category.
          type: string
        order:
          description: Order of category (5.5).
          type: number
        parent_id:
          description: Category's parent ID.
          type: string
        taxonomy_paths:
          description: List of taxonomy paths where this question is present.
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.TaxonomyPath
          type: array
      type: object
    github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.Datapoint:
      properties:
        datapoint:
          description: Datapoint code with question code prefix (q4_2).
          type: string
        name:
          description: Human readable name of datapoint (5 hours).
          type: string
        order:
          allOf:
            - $ref: '#/components/schemas/wrapperspb.DoubleValue'
          description: Order of the datapoint (11.25).
      type: object
    github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.Suffix:
      properties:
        name:
          description: Human readable name of suffix.
          type: string
        order:
          allOf:
            - $ref: '#/components/schemas/wrapperspb.DoubleValue'
          description: Order of the suffix (1.125).
        suffix:
          description: Suffix code (1).
          type: string
      type: object
    github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.TaxonomyPath:
      properties:
        categories_lineage:
          description: >-
            List of categories from root of the taxonomy to the leaf where the
            question is.
          items:
            $ref: >-
              #/components/schemas/github_com_GlobalWebIndex_pb_go_atc_localcopylabels_v3.Category
          type: array
      type: object
    wrapperspb.DoubleValue:
      properties:
        value:
          description: The double value.
          type: number
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````